<?php

namespace Inventory\Purchase\Repositories\Eloquent;

use Inventory\Purchase\Interfaces\ItemRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ItemRepository extends BaseRepository implements ItemRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('inventory.purchase.item.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('inventory.purchase.item.model.model');
    }
}
