<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for item in purchase package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  item module in purchase package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Item',
    'names'         => 'Items',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Items',
        'sub'   => 'Items',
        'list'  => 'List of items',
        'edit'  => 'Edit item',
        'create'    => 'Create new item'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'purchase_order_id'          => 'Please enter purchase order id',
        'item_id'                    => 'Please enter item id',
        'code'                       => 'Please enter code',
        'uom'                        => 'Please enter uom',
        'tax_id'                     => 'Please enter tax id',
        'date'                       => 'Please enter date',
        'qty'                        => 'Please enter qty',
        'unit_price'                 => 'Please enter unit price',
        'discount'                   => 'Please enter discount',
        'subtotal'                   => 'Please enter subtotal',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'purchase_order_id'          => 'Purchase order id',
        'item_id'                    => 'Item id',
        'code'                       => 'Code',
        'uom'                        => 'Uom',
        'tax_id'                     => 'Tax id',
        'date'                       => 'Date',
        'qty'                        => 'Qty',
        'unit_price'                 => 'Unit price',
        'discount'                   => 'Discount',
        'subtotal'                   => 'Subtotal',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'purchase_order_id'          => ['name' => 'Purchase order id', 'data-column' => 1, 'checked'],
        'item_id'                    => ['name' => 'Item id', 'data-column' => 2, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 3, 'checked'],
        'uom'                        => ['name' => 'Uom', 'data-column' => 4, 'checked'],
        'tax_id'                     => ['name' => 'Tax id', 'data-column' => 5, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 6, 'checked'],
        'qty'                        => ['name' => 'Qty', 'data-column' => 7, 'checked'],
        'unit_price'                 => ['name' => 'Unit price', 'data-column' => 8, 'checked'],
        'discount'                   => ['name' => 'Discount', 'data-column' => 9, 'checked'],
        'subtotal'                   => ['name' => 'Subtotal', 'data-column' => 10, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Items',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
