<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for order in purchase package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  order module in purchase package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Order',
    'names'         => 'Orders',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Orders',
        'sub'   => 'Orders',
        'list'  => 'List of orders',
        'edit'  => 'Edit order',
        'create'    => 'Create new order'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Draft','Approved'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'vendor_id'                  => 'Please enter vendor id',
        'customer_id'                => 'Please enter customer id',
        'payment_term_id'            => 'Please enter payment term id',
        'order_no'                   => 'Please enter order no',
        'reference'                  => 'Please enter reference',
        'order_date'                 => 'Please select order date',
        'expected_delivery_date'        => 'Please select expected delivery date',
        'status'                     => 'Please select status',
        'subtotal'                   => 'Please enter subtotal',
        'discount'                   => 'Please enter discount',
        'total'                      => 'Please enter total',
        'notes'                      => 'Please enter notes',
        'terms_and_conditions'        => 'Please enter terms and conditions',
        'files'                      => 'Please enter files',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'vendor_id'                  => 'Vendor id',
        'customer_id'                => 'Customer id',
        'payment_term_id'            => 'Payment term id',
        'order_no'                   => 'Order no',
        'reference'                  => 'Reference',
        'order_date'                 => 'Order date',
        'expected_delivery_date'        => 'Expected delivery date',
        'status'                     => 'Status',
        'subtotal'                   => 'Subtotal',
        'discount'                   => 'Discount',
        'total'                      => 'Total',
        'notes'                      => 'Notes',
        'terms_and_conditions'        => 'Terms and conditions',
        'files'                      => 'Files',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'vendor_id'                  => ['name' => 'Vendor id', 'data-column' => 1, 'checked'],
        'customer_id'                => ['name' => 'Customer id', 'data-column' => 2, 'checked'],
        'payment_term_id'            => ['name' => 'Payment term id', 'data-column' => 3, 'checked'],
        'order_no'                   => ['name' => 'Order no', 'data-column' => 4, 'checked'],
        'reference'                  => ['name' => 'Reference', 'data-column' => 5, 'checked'],
        'order_date'                 => ['name' => 'Order date', 'data-column' => 6, 'checked'],
        'expected_delivery_date'        => ['name' => 'Expected delivery date', 'data-column' => 7, 'checked'],
        'subtotal'                   => ['name' => 'Subtotal', 'data-column' => 8, 'checked'],
        'discount'                   => ['name' => 'Discount', 'data-column' => 9, 'checked'],
        'total'                      => ['name' => 'Total', 'data-column' => 10, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 11, 'checked'],
        'terms_and_conditions'        => ['name' => 'Terms and conditions', 'data-column' => 12, 'checked'],
        'files'                      => ['name' => 'Files', 'data-column' => 13, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Orders',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
