    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#item" data-toggle="tab">{!! trans('purchase::item.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#purchase-item-edit'  data-load-to='#purchase-item-entry' data-datatable='#purchase-item-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#purchase-item-entry' data-href='{{guard_url('purchase/item')}}/{{$item->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('purchase-item-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('purchase/item/'. $item->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="item">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('purchase::item.name') !!} [{!!$item->name!!}] </div>
                @include('purchase::admin.item.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>